Commit 2d2be1ca authored by Andrei Belov's avatar Andrei Belov Committed by Natanael Copa
Browse files

abuild-sign: actually catch errors while signing

parent 57f28307
...@@ -26,7 +26,7 @@ do_sign() { ...@@ -26,7 +26,7 @@ do_sign() {
i=$(readlink -f $f) i=$(readlink -f $f)
[ -d "$i" ] && i="$i/APKINDEX.tar.gz" [ -d "$i" ] && i="$i/APKINDEX.tar.gz"
repo="${i%/*}" repo="${i%/*}"
( trap 'die "failed to sign $i"' EXIT
set -e set -e
cd "$repo" cd "$repo"
sig=".SIGN.RSA.$keyname" sig=".SIGN.RSA.$keyname"
...@@ -39,7 +39,8 @@ do_sign() { ...@@ -39,7 +39,8 @@ do_sign() {
chmod 644 "$tmpsigned" chmod 644 "$tmpsigned"
mv "$tmpsigned" "$i" mv "$tmpsigned" "$i"
msg "Signed $i" msg "Signed $i"
) || die "failed to sign $i" set +e
trap - EXIT
done done
} }
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment